﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectBase.Data.BaseDAL;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using SIMDP.BLL;

namespace SIMDP.BLL
{
    public class BlAuthoryGroup : BaseBLL<MoAuthoryGroup>
    {
        private IDalAuthoryGroup dalAuthoryGroup;

        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlAuthoryGroup() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalAuthoryGroup = baseDal as IDalAuthoryGroup;
            dalAuthoryGroup.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
