﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Data.Logs;
using ProjectBase.Data.Redis;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using SIMDP.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.BLL
{
    public class BlUserParameter : BaseBLL<MoUserParameter>
    {
        private IDalUserParameter dalUserParameter;

        private RedisHelper redis = new RedisHelper(0);

        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlUserParameter() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalUserParameter = baseDal as IDalUserParameter;
            dalUserParameter.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
