﻿using ProjectBase.Data.BaseDAL;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.BLL 
{
    public class BlUserRole : BaseBLL<MoUserRole>
    {
        private IDalUserRole dalUserRole; 

        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlUserRole() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalUserRole = baseDal as IDalUserRole;
            dalUserRole.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
