﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace SIMDP.BLL.RuleXML
{
    /// <summary>
    /// 规则对象
    /// </summary>
    [Serializable]
    [System.Xml.Serialization.XmlRoot("Rule")]
    public class Rule
    {
        [System.Xml.Serialization.XmlElement("FieldNumber")]
        public string FieldNumber { get; set; }

        [XmlArray("Fields")]
        [XmlArrayItem("FieldInfo", typeof(FieldInfo))]
        public List<FieldInfo> RuleList { get; set; } 

    }

    /// <summary>
    /// 字段
    /// </summary>
    [Serializable]
    public class FieldInfo 
    {

        [System.Xml.Serialization.XmlAttribute("SerialNumber")]
        public string serialNumber { get; set; } 

        [System.Xml.Serialization.XmlAttribute("Name")]
        public string Name { get; set; } 
         
        [System.Xml.Serialization.XmlAttribute("Key")]
        public string Key { get; set; } 

        [System.Xml.Serialization.XmlAttribute("Type")]
        public string Type { get; set; }
    }
}
