﻿using ProjectBase.Data.BaseDAL;
using SIMDP.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.Model
{
    /// <summary>
    /// 规则管理
    /// </summary>
    [Serializable] 
    public class MoRule : BaseEntity
    {
        public MoRule()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members 

        private long m_RuleId = 0; // 规则ID
        private string m_RuleName = ""; // 规则名称         
        private string m_RuleValue = ""; // 规则    

        #endregion

        #region Property Members
        /// <summary>
        ///规则ID
        /// </summary>
        public virtual long RuleId 
        {
            get
            {
                return this.m_RuleId;
            }
            set
            {
                this.m_RuleId = value;
            }
        }

        /// <summary>
        /// 规则名称
        /// </summary>
        public virtual string RuleName 
        {
            get
            {
                return this.m_RuleName;
            }
            set
            {
                this.m_RuleName = value;
            }
        }

        /// <summary>
        /// 规则   
        /// </summary>
        public virtual string RuleValue 
        {
            get
            {
                return this.m_RuleValue;
            }
            set
            {
                this.m_RuleValue = value;
            }
        }
        #endregion
    }
}
