﻿using ProjectBase.Data.BaseDAL;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.BLL
{
    public class BlAuthoryRole : BaseBLL<MoAuthoryRole>
    {
        private IDalAuthoryRole dalAuthoryRole; 

        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlAuthoryRole() : base() 
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalAuthoryRole = baseDal as IDalAuthoryRole;
            dalAuthoryRole.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
