﻿using ProjectBase.Data.BaseDAL;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.BLL
{
    public class BlGroupRole : BaseBLL<MoGroupRole>
    {
        private IDalGroupRole dalGroupRole; 

        /// <summary>
        /// 构造函数
        /// </summary>    
        public BlGroupRole() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalGroupRole = baseDal as IDalGroupRole;
            dalGroupRole.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
