﻿using ProjectBase.Data.BaseDAL;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.BLL
{
    /// <summary>
    /// Plc配置信息
    /// </summary>
    public class BlPlcInfo : BaseBLL<MoPlcInfo>
    {
        private IDalPlcInfo dalPlcInfo; 

        /// <summary>
        /// 构造函数
        /// </summary> 
        public BlPlcInfo() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalPlcInfo = baseDal as IDalPlcInfo; 
            dalPlcInfo.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
