﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectBase.Data.BaseDAL;
using SIMDP.DAL.IDALSQL;
using SIMDP.Model;
using SIMDP.BLL;

namespace SIMDP.BLL
{
    public class BlRemnantInformation : BaseBLL<MoRemnantInformation>
    {
        private IDalRemnantInformation dalRemnantInformation;

        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlRemnantInformation() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalRemnantInformation = baseDal as IDalRemnantInformation;
            dalRemnantInformation.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}