﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Data.Pager;
using SIMDP.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.DAL.IDALSQL
{
    public interface IDalDataGroup: IBaseDAL<MoDataGroup>
    {

        /// <summary>
        /// 获取数据组管理
        /// </summary>
        /// <param name="id">plc id</param>
        /// <param name="name">plc名称</param>
        /// <returns></returns> 
        //List<MoDataGroup> GetAllDataGroup();

        /// <summary>
        /// 以分页的方式获取数据组管理
        /// </summary>
        /// <param name="id"></param>
        /// <param name="name"></param>
        /// <param name="info">分页信息</param>
        /// <returns></returns>
        //List<MoDataGroup> GetDataGroupWithPager(long id, string name, PagerInfo info);

        /// <summary>
        /// 插入一条数据组管理信息
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        //bool InsetDataGroup(MoDataGroup obj);

        /// <summary>
        /// 删除记录
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        //bool DeleteWithId(long id);

        /// <summary>
        /// 更新信息
        /// </summary>
        /// <param name="id"></param>
        /// <param name="newoObj"></param>
        /// <returns></returns>
        //bool UpdateWithId(long id, MoDataGroup newoObj);
    }
}
