﻿using SIMDP.Model;
using System.Collections.Generic;

namespace SIMDP.Device
{
    public abstract class AbstractBaseDevice
    {
        /// <summary>
        /// 连接设备
        /// </summary>
        public abstract void Start(MoPlcInfo _plcInfo, List<MoDataPoint> _dataPoints);

        /// <summary>
        /// 断开设备
        /// </summary>
        public abstract void Stop();

        /// <summary>
        /// 断开设备
        /// </summary>
        public abstract bool isConnected();
    }
}
