﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectBase.Data.BaseDAL;
using SIMDP.Util;

namespace SIMDP.Model
{
    /// <summary>
    /// Remnant_informationInfo
    /// </summary>
    [Serializable]
    public class MoRemnantInformation : BaseEntity
    {
        public MoRemnantInformation()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }
        #region Field Members

        private long m_Data_id = 0; //          
        private string m_Tray_code; //          
        private DateTime m_Record_time; //          
        private byte m_Flag = 0; //          

        #endregion

        #region Property Members

        public virtual long Data_id
        {
            get
            {
                return this.m_Data_id;
            }
            set
            {
                this.m_Data_id = value;
            }
        }

        public virtual string Tray_code
        {
            get
            {
                return this.m_Tray_code;
            }
            set
            {
                this.m_Tray_code = value;
            }
        }

        public virtual DateTime Record_time
        {
            get
            {
                return this.m_Record_time;
            }
            set
            {
                this.m_Record_time = value;
            }
        }

        public virtual byte Flag
        {
            get
            {
                return this.m_Flag;
            }
            set
            {
                this.m_Flag = value;
            }
        }
        #endregion
    }
}
     