﻿using ProjectBase.Data.BaseDAL;
using SIMDP.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.Model
{
    /// <summary>
    /// 自增序列
    /// </summary>
    [Serializable]
    public class MoSequence : BaseEntity
    {
        public MoSequence()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members  

        private long m_SequenceId = 0; // Id
        private string m_SequenceName = ""; // 序列名称           
        private long m_SequenceCurrent = 0; // 当前值   
        private long m_SequenceMax = 0; //  序列最大值
        private int  m_AddValue =0;//增加最大值

        #endregion 

        #region Property Members
        /// <summary>
        /// ID
        /// </summary> 
        public virtual long SequenceId
        {
            get
            {
                return this.m_SequenceId;
            }
            set
            {
                this.m_SequenceId = value;
            }
        }

        /// <summary>
        /// 序列名称  
        /// </summary>
        public virtual string SequenceName 
        {
            get
            {
                return this.m_SequenceName;
            }
            set
            {
                this.m_SequenceName = value;
            }
        }

        /// <summary>
        /// 当前值
        /// </summary>
        public virtual long SequenceCurrent 
        {
            get
            {
                return this.m_SequenceCurrent;
            }
            set
            {
                this.m_SequenceCurrent = value;
            }
        }

        /// <summary>
        /// 序列最大值
        /// </summary>
        public virtual long SequenceMax
        {
            get 
            {
                return this.m_SequenceMax;
            }
            set
            {
                this.m_SequenceMax = value;
            }
        }

        /// <summary>
        /// 序列最大值
        /// </summary>
        public virtual int AddValue
        { 
            get
            {
                return this.m_AddValue;
            }
            set
            {
                this.m_AddValue = value;
            }
        }
        #endregion
    }
}
