﻿using ProjectBase.Data.BaseDAL;
using SIMDP.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIMDP.Model
{
    /// <summary>
    /// 权限管理中的用户管理
    /// </summary>
    [Serializable]
    public class MoUserRole :BaseEntity
    {
        public MoUserRole()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_UserId = ""; // 用户编码
        private string m_RoleId = ""; // 角色编码                        

        #endregion

        #region Property Members
        /// <summary>
        /// 用户编码
        /// </summary> 
        public virtual string UserId 
        {
            get
            {
                return this.m_UserId;
            }
            set
            {
                this.m_UserId = value;
            }
        }

        /// <summary>
        /// 角色编码
        /// </summary>
        public virtual string RoleId 
        {
            get
            {
                return this.m_RoleId;
            }
            set
            {
                this.m_RoleId = value;
            }
        }

      
        #endregion
    }
}
