﻿using SIMDP.Model;
using System.Collections.Generic;

namespace SIMDP.Device
{
    public abstract class AbstractBasePlc
    {
        /// <summary>
        /// PLC初始化
        /// </summary>
        public abstract void Open(MoPlcInfo _plcInfo, List<MoDataPoint> _dataPoints);

        /// <summary>
        /// PLC初始化
        /// </summary>
        public abstract void Close();

        /// <summary>
        /// PLC连接
        /// </summary>
        public abstract void Start();

        /// <summary>
        /// OPC断开连接 
        /// </summary>
        public abstract void Stop();
    }
}
